package com.data.bean;

import java.util.Map;

import com.taurus.core.util.StringUtil;


/**
 * account bean class
 *
 */
public class AccountBean extends BaseBean{
	
	public String nick;
	public String portrait;
	public int type;
	public int mng;
	public int sex;
	public String ip;
	
	public void fillData(Map<String,String> redis_map) {
		String _id = redis_map.get("id");
		if(StringUtil.isEmpty(_id)) {
			this.del = true;
			return;
		}
		this.id =Integer.parseInt(_id);
		this.nick = redis_map.get("nick");
		this.portrait = redis_map.get("portrait");
		this.ip = redis_map.get("ip");
		this.type = Integer.parseInt(redis_map.get("type"));
		this.sex = Integer.parseInt(redis_map.get("sex"));
		if(this.sex == 0)this.sex = 1;
	}
	
	
}
